Jump to content
metin2dev
  • 0
Sign in to follow this  
Yiv

Error with Libs (libz.so.4 required by "db")

Question

Dear community,

 

I wanted to start a test server with 40k files (later I wanted to work with source).

I did all configuration but there's still a problem with my database core. It won't start and says this error:

 

Shared object "libz.so.4" not found, required by "db"

 

I have FreeBSD 9.2 with i386 kernel (32 bit) so I didn't install any libs.

 

uname -a:

 

FreeBSD DEV 9.2-RELEASE FreeBSD 9.2-RELEASE #0 r255898: Fri Sep 27 03:52:52 UTC 2013     root@bake.isc.freebsd.org:/usr/obj/usr/src/sys/GENERIC  i386

 

What do I do wrong?

 

Regards

Share this post


Link to post
Share on other sites

8 answers to this question

Recommended Posts

  • 0

Would you please be so kind and upload it somewhere else because I'm not able to download from this page it's just downloading an htm file which contains some html content but not the file.

P.S: Please no site like MEGA because I'm at my mobile phone atm.

Regards

Share this post


Link to post
Share on other sites
  • 0

Worked fine!

I thought (because I have 32bit) I don't need the libs...

Thank you.

Regards

Share this post


Link to post
Share on other sites
  • 0

Now I have another error:

Can not get public ip address

The cores starts but this error appears during the starting process and the start is interrupted.

What to do?

Regards

Share this post


Link to post
Share on other sites
  • 0

Sorry, I found the error.

Have to replace 192.168 with something else...

Can be closed.

Regards

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×